
PlayRainSound = function()
	Media.PlaySound("rain.aud")
	Trigger.AfterDelay(DateTime.Seconds(12) + 10, PlayRainSound)
end

SetCamera = function(player)
	local mcv = player.GetActorsByType("mcv")[1]
	Camera.Position = mcv.CenterPosition
end

WorldLoaded = function()
	local player0 = Player.GetPlayer("Multi0")
	local player1 = Player.GetPlayer("Multi1")
	Creeps = Player.GetPlayer("Creeps")

	if player0.IsLocalPlayer then
		SetCamera(player0)
	elseif player1.IsLocalPlayer then
		SetCamera(player1)
	end

	Trigger.AfterDelay(0, function()
		local civ = Actor.Create("dciv1", true, { Owner = Player.GetPlayer("Neutral"), Location = TechnologyCenter.Location + CVec.New(0, 1) })
		local einTanya = Actor.Create("eintanya", true, { Owner = Creeps, Location = TechnologyCenter.Location + CVec.New(0, 1) })
		civ.Move(civ.Location + CVec.New(1, 1))
		einTanya.Move(civ.Location + CVec.New(-1, 1))

		StartWaves()
	end)
end
